'use strict';

/**
 * @ngdoc overview
 * @name tpZetApp
 * @description
 * # tpZetApp
 *
 * Main module of the application.
 */
angular
  .module('tpZetApp', [
    'ngRoute',
    'ngSanitize',
    'ngTouch',
    'tp.utils',
    'tp.services',
    'tp.ui',
    'LocalStorageModule',
    'infinite-scroll',
    'angular-loading-bar'
  ])
  .config(function ($routeProvider, $httpProvider, $logProvider) {

    // Modify Headers
    $httpProvider.defaults.withCredentials = true;

    // Log Flag
    $logProvider.debugEnabled(true);

    // Authorization / Authentication API
    var auth = {
      check: ['authService', function(authService) {
        return authService.isLoggedin().then(authService.isPathAuthorized);
      }],
      bounce: ['authService', function(authService) {
        return authService.loginBounce();
      }]
    };

    // Route Config
    $routeProvider
      .when('/login', {
        templateUrl: 'views/login.html',
        controller: 'LoginCtrl',
        controllerAs: 'vm',
        resolve: auth.check
      })
      .when('/home', {
        templateUrl: 'views/home.html',
        controller: 'HomeCtrl',
        controllerAs: 'vm'
      })
      .otherwise({
        redirectTo: '/'
      });

  });
